Bug 33739 - quota userspace version issues
quota userspace version issues
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
David Lawrence
http://sourceforge.net/projects/linux...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-28 23:45 EST by Nathan Scott
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 23:45:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nathan Scott 2001-03-28 23:45:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76C-SGI [en] (X11; I; IRIX 6.5 IP32)


hi,

Quota 3.01 user tools are now available at:
	http://sourceforge.net/projects/linuxquota/
and also at:
	ftp://atrey.karlin.mff.cuni.cz/pub/local/jack/quota/utils/

These tools work with all the current versions of quota, i.e.:
- the kernel quota in Linus' 2.4.X kernels;
- the kernel quota in Alan's 2.4.X-acX kernels (which Wolverine & rawhide
use);
- the XFS implementation of quota (journaled);
... so are important for people who roll their own (Linus-based) kernels or
who use the XFS filesystem.

Any chance we could have these packaged up in rawhide?
They are now quite stable, and have numerous bug fixes included since the
2.00 and 3.00 releases, as well as being the only version to support all
three forms of quota.

many thanks.

(btw, I've opened a separate, but related bug on the nfs-utils package,
which is incorrect in Wolverine and Rawhide wrt. rpc.rquotad at the moment)

cheers.

Reproducible: Always
Steps to Reproduce:
1. # rpm -i quota-2.00-7.i386.rpm
2. Boot the Wolverine kernel (which has the 2.4.X-acX quota implementation,
as opposed to the version in Linus' 2.4.X tarballs);
3. Mount a filesystem with quota enabled;
4. Run any of the quota(8), repquota(8), edquota(8), etc, commands, and an
error will be reported from the quotactl(2) system call.
Comment 1 Preston Brown 2001-04-03 12:14:07 EDT
3.00 is now included, with working userland utilities, and a working quotad.

Note You need to log in before you can comment on or make changes to this bug.